HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/cli_aliases/{CLI_Alias.alias_name}

Path Params
string
required

Reference Resource: CLI_Alias
Shortcut name configured by the user to execute a set of commands.

Body Params
string
required

Contains the set of commands to be executed when the shortcut name is used. Every command is separated by ";". Runtime arguments can be specified using $1, $2 and so on. Extra arguments, if any, are added at the end of last command. e.g: Execute the command "alias mycmd hostname $1; console length $2; console width $3" to configure "mycmd" as shortcut. On executing "mycmd Switch1 80 24", it expands to "hostname Switch1; console length 80; console width 24" where "mycmd" is stored in alias_name and "hostname $1; console length $2; console width $3" will be saved in alias_definition respectively.

string
required
length between 1 and 30

Reference Resource: CLI_Alias
Shortcut name configured by the user to execute a set of commands.

Responses
204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!